Bug 1752995 - [RFE] Need to be able to set default console option
Summary: [RFE] Need to be able to set default console option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-web-ui
Version: 4.3.6
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ovirt-4.4.0
: ---
Assignee: Sharon Gratch
QA Contact: Ivana Saranova
URL:
Whiteboard:
Depends On:
Blocks: 1763992
TreeView+ depends on / blocked
 
Reported: 2019-09-17 18:13 UTC by Allie DeVolder
Modified: 2020-08-04 13:21 UTC (History)
5 users (show)

Fixed In Version: ovirt-web-ui-1.6.1-1
Doc Type: Enhancement
Doc Text:
With this update, the default action in the VM Portal's dashboard for a running virtual machine is to open a console. Before this update, the default action was "Suspend". Specifically, the default operation for a running VM is set to "SPICE Console" if the virtual machine supports SPICE, or "VNC Console" if the virtual machine only supports VNC. For a virtual machine running in headless mode, the default action is still "Suspend".
Clone Of:
Environment:
Last Closed: 2020-08-04 13:20:47 UTC
oVirt Team: UX
Target Upstream Version:
lsvaty: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github oVirt ovirt-web-ui pull 1137 0 'None' closed Card list, running VM actions default to open VM's console 2020-08-26 22:00:03 UTC
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:21:09 UTC

Description Allie DeVolder 2019-09-17 18:13:51 UTC
Description of problem:
[RFE] Need to be able to set default console option. Currently, the default option is "suspend", which results in problems and data loss when there are VMs running an OS that doesn't suspend well.

This was previously available in the User Portal but is missing from the VM Portal.

Comment 2 Laura Wright 2019-09-18 18:23:01 UTC
That would be a good option to include in the settings that we're currently working on for VM portal. Thank you for bringing it up!

Comment 6 Ivana Saranova 2019-12-20 15:39:05 UTC
Steps:
1) Have a VM to run
2) Run VM
3) Check that default option is console instead of suspend if console is an option

Result:
Default option is suspend even though there are console options in the menu, moving back to assigned

Tested in:
ovirt-engine-4.4.0-0.9.master.el7.noarch
ovirt-web-ui-1.6.0-2.el7ev.noarch

Comment 7 Sharon Gratch 2020-01-05 16:37:10 UTC
This fix is not included on ovirt-web-ui-1.6.0-2.el7ev.noarch build, so it was verified u/s but for a d/s verification it should be tested as part of next web-ui  d/s build

Comment 10 Ivana Saranova 2020-04-07 23:29:04 UTC
Steps:
1) Have a VM to run (3 options, SPICE/SPICE + VNC console enabled, only VNC console enabled, headless mode)
2) Run VM
3) Check that default option is console instead of suspend if console is an option

Result:
If SPICE/SPICE + VNC console is enabled, then SPICE console shows as default. If only VNC console is enabled, then VNC console shows as default. If VM runs in headless mode, suspend is default.

Tested in:
ovirt-engine-4.4.0-0.31.master.el8ev.noarch
ovirt-web-ui-1.6.1-0.20200228.git5b3b4e0.el8ev.noarch

Comment 11 Steve Goodman 2020-04-26 13:10:57 UTC
Both this bug and 1763992 are included with RHSA-2019:48952-04. They both have the same doc text and https://bugzilla.redhat.com/show_bug.cgi?id=1763992#c2 states that they are duplicates. Why was one of these not closed as a duplicate?

I set the requires_doc_text flag to "-" for bug 1763992, otherwise the same doc text would appear twice. If you disagree with this feel free to change it back.

Comment 12 Sharon Gratch 2020-04-27 09:20:50 UTC
(In reply to Steve Goodman from comment #11)
> Both this bug and 1763992 are included with RHSA-2019:48952-04. They both
> have the same doc text and
> https://bugzilla.redhat.com/show_bug.cgi?id=1763992#c2 states that they are
> duplicates. Why was one of these not closed as a duplicate?

I didn't want to close one of them since they raised by different customers and in addition one of then was dealing with a the user settings RFE so wanted them both to stay open.
 
> I set the requires_doc_text flag to "-" for bug 1763992, otherwise the same
> doc text would appear twice. If you disagree with this feel free to change
> it back.
+1

Comment 16 errata-xmlrpc 2020-08-04 13:20:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.